Skip to main content
POST
/
item
/
add_serial_numbers
Item - Add Serial Numbers
curl --request POST \
  --url https://api.skulabs.com/item/add_serial_numbers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "item_id": "<string>",
  "serial_numbers": [
    "<string>"
  ],
  "no_refresh": true,
  "sku": "<string>",
  "lot_count": 123,
  "lot_prefix": "<string>"
}
'
{
  "success": true,
  "serial_numbers": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
item_id
string
required

Item ID

serial_numbers
string[]
required

Serial numbers to add

no_refresh
boolean

Skip cache refresh

sku
string

Item SKU (alternative lookup)

lot_count
number

Lot count

lot_prefix
string

Lot prefix

Response

Serial numbers added

success
boolean
required

Whether the operation succeeded

serial_numbers
string[]

Serial numbers that were added